For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
    • Closed Beta Programs
        • API Documentation
        • Check List
        • Code Samples
        • Guiding Questions
        • Iterative Feature Development
        • API Reference
              • GETList Accounts
              • POSTCreate Account
              • GETGet Account
              • PUTUpdate Account
              • POSTCreate Account with Set Password
Dev Portal
LogoLogo
Closed Beta ProgramsPowered ByAPI ReferenceAccounts

Create Account with Set Password

Beta
POST
https://api.bigcommerce.com/franchises/franchise_uuid/v1/accounts/with-password
POST
/franchises/franchise_uuid/v1/accounts/with-password
$curl -X POST https://api.bigcommerce.com/franchises/franchise_uuid/v1/accounts/with-password \
> -H "Accept: application/json" \
> -H "X-Auth-Client: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Greenfield Apparel Store",
> "user_email": "owner@greenfieldapparel.com",
> "primary_contact": {
> "first_name": "Emily",
> "last_name": "Watson",
> "email": "emily.watson@greenfieldapparel.com",
> "country": "US",
> "district": "CA"
> }
>}'
200Successful
1{}

This endpoint can set the password for user_email which, if set, eliminates the account validation email and the requirement to validate the store prior to users being able to log in to that storeʼs control panel.

Was this page helpful?
Previous

Update Account

Next

Create Store

Built with

Authentication

X-Auth-Clientstring
The client ID of the franchise API account.
OR
X-Auth-Tokenstring
An OAuth token generated from the franchise API account. To authenticate, generate an **OAuth Token** (if you donʼt have one or itʼs expired): ```http POST https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/oauth/token Accept: application/json X-Auth-Client: {client_id} X-Auth-Secret: {client_secret} { "duration": 900 } ``` Response: ```json { "access_token": "dlkJcn34...Lkd012", "expires_at": "2018-04-24T16:15:26.509045122Z” } ``` After you generate an **OAuth token**, use the `client_id` and `oauth_token` to authenticate all other API requests: ```http GET https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/accounts/123 Accept: application/json X-Auth-Client: {client_id} X-Auth-Token: {oauth_token} ``` Response: ```json { "data": { "id": "12345678910", "name": "Test Company", ... }, "meta": {} } ```

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

Create Account Requests
namestringRequired1-40 characters
Company name for the account and the name displayed at login when a merchant has multiple stores. 40 character limit.
user_emailstringRequired<=255 characters
Email address of user who will be the store owner for the account. Must be unique within BigCommerce system.
primary_contactobjectRequired
passwordstringOptional
Plaintext password
localestringOptionalDefaults to en

locale is used when sending email communications (such as account activation emails) to the accountʼs user_email.

Response

OK

An OAuth token generated from the franchise API account.

To authenticate, generate an OAuth Token (if you donʼt have one or itʼs expired):

1POST https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/oauth/token
2Accept: application/json
3X-Auth-Client: {client_id}
4X-Auth-Secret: {client_secret}
5
6{
7 "duration": 900
8}

Response:

1{
2 "access_token": "dlkJcn34...Lkd012",
3 "expires_at": "2018-04-24T16:15:26.509045122Z”
4}

After you generate an OAuth token, use the client_id and oauth_token to authenticate all other API requests:

1GET https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/accounts/123
2Accept: application/json
3X-Auth-Client: {client_id}
4X-Auth-Token: {oauth_token}

Response:

1{
2 "data": {
3 "id": "12345678910",
4 "name": "Test Company",
5 ...
6 },
7 "meta": {}
8}